
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Name:			ladspa-clipper
Summary:		Clipper LADSPA plugin - Hard clipping, without any aliasing protection
Version:		1
Release:		3.1
License:		GPL
Group:			Productivity/Multimedia/Sound/Utilities
Source:			clipper.tar.gz
Patch:			ladspa-clipper-Makefile.diff
URL:			http://quitte.de/dsp/
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc-c++
BuildRequires:	ladspa-devel

%description
Hard clipping, without any aliasing protection. Amplify the
incoming signal by 30 dB and more to get good, harsh distortion.

Author: Tim Goetze <tim@quitte.de>



%prep
%setup -q -n clipper
%patch

%build
%__make CPPFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC"

%install
%__install -dm 755 %{buildroot}%{_libdir}/ladspa
%__install -m 644 -c *.so \
	%{buildroot}%{_libdir}/ladspa

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/*

%changelog
* Sun Sep 16 2007 Toni Graffy <toni@links2linux.de> - 1-0.pm.1
- splitt-off from ladspa package
